# Cross-Team Bot Swap

Allows a bot to switch places with a player on the opposite team if teams are balanced.

Attempts to be a relatively clean fix to freely change teams instead of switching to Spectator
and then joining the other team.

This is done by replicating a fake `mp_teams_unbalance_limit` value to clients that can switch
to a team with at least one bot player so they can open the menu and switch normally.  The
`jointeam` command is also hooked, forcing a bot to swap at the same time.

## A "CSRD Internal" Plugin

This is a plugin mainly intended for use in [Pikachu's Canadian Server of Romance and
Drama][csrd].

While I'm happy if you find some useful code for your own plugins, I can't provide any support
for said code, nor will I offer any guarantees that the plugin will remain usable outside of its
main use.

[csrd]: https://csrd.science/
